IDEA IntelliJ如何配置Perl的运行环境

然后安装,默认安装位置

之后双击打开,加入许可证,在网上找,一大堆。

之后进入欢迎界面,选择create a new project -> empty project
进入主界面

依次点击 FIle -> setting... -> plugin ,之后在搜索框中输入perl,然后点击下面的search in repositories,找到perl这个插件



点击安装(可能有时候点击安装会报错说无法下载,这个时候继续点击安装),安装之后会提示重启IntelliJ。

重启之后,再次进入主界面,依次点击File -> new... -> Module... -> 选择perl5模块

确定之后,出现下面的场景

在project下面出现了一个perl5的图标
对着图标右键 new -> file ,然后输入文件名(需要带后缀,第一次需要这样做,之后新建文件的时候会直接由新建perl文件这个选项了)
新建之后,会在上面出现这样的提示 perl5 SDK is not configured.

于是点击configure ,出现如下情况

可以看到SDK不可用,就是说IntelliJ不知道你要用什么来运行你的perl脚本,那当然是perl的解释器啊!一般windows上我下载的是strawberryperl(http://strawberryperl.com/download/5.26.2.1/strawberry-perl-5.26.2.1-64bit.msi
之前假如下载安装了strawberryperl,没有安装的话就先下载安装再到这里,那么之后就可以进入下面这一步,点击选框后面的齿轮,选择new. 之后IntelliJ会自动帮你定位到perl的解释器的文件处。成功之后就是如下图(如果没有识别,那就是perl没有加入到系统的环境变量中,这个时候只能手动指定perl解释器的位置)。
选着OK,好了,之后只剩下另外两条提示,就是提示use warnings,use strict;这两条只能说是提示,而不是警告了,无伤大雅。

之后开心的Hello World!
点击菜单栏的Run -> Run.. -> test.pl
执行结果如下

好了,就到这里!
发布了4 篇原创文章 · 获赞 3 · 访问量 2万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 创作都市 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览